# Class CIM_MemoryCapacity
extends CIM_PhysicalCapacity

MemoryCapacity describes the type of Memory that can be installed on a PhysicalElement and its minimum/maximum configurations. Information on what memory is currently 'installed', versus an Element's min/max requirements, is located in instances of the PhysicalMemory class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_PhysicalCapacity
|
+--CIM_MemoryCapacity

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | MemoryCapacity describes the type of Memory that can be installed on a PhysicalElement and its minimum/maximum configurations. Information on what memory is currently 'installed', versus an Element's min/max requirements, is located in instances of the PhysicalMemory class.
UMLPackagePath | string | CIM::Physical::Misc
Version | string | 2.38.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MaximumMemoryCapacity | uint64 |
Description | string | Maximum amount of memory, in Kbytes, that can be supported by the associated PhysicalElement.
PUnit | string | byte * 2^10
Units | string | KiloBytes
MemoryType | uint16 |
Description | string | The type of memory. This is a part of the object key. Values correspond to the list of possible memory types in the PhysicalMemory class.
Key | boolean | true
ModelCorrespondence | string | CIM_PhysicalMemory.MemoryType
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27..32567, 32568..65535
Values | string | Unknown, Other, DRAM, Synchronous DRAM, Cache DRAM, EDO, EDRAM, VRAM, SRAM, RAM, ROM, Flash, EEPROM, FEPROM, EPROM, CDRAM, 3DRAM, SDRAM, SGRAM, RDRAM, DDR, DDR2, BRAM, FB-DIMM, DDR3, FBD2, DDR4, DMTF Reserved, Vendor Reserved
MinimumMemoryCapacity | uint64 |
Description | string | Minimum amount of memory, in Kbytes, that is needed for the associated PhysicalElement to operate correctly.
PUnit | string | byte * 2^10
Units | string | KiloBytes
Name | string |
Description | string | The inherited Name serves as a part of the MemoryCapacity object key.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | Name

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods